library IEEE;
use ieee.std_logic_1164.all;

entity Debounce is
port( Clk_100Hz : in std_logic;
			SW : in std_logic;
			SW_Debounce : out std_logic
		);
end Debounce;

architecture rtl of debounce is
signal shift_sw : std_logic_vector(3 downto 0);
begin
	process(Clk_100Hz)
	begin
		if (Clk_100Hz'Event) and (Clk_100Hz = '1') then
			shift_sw(2 downto 0) <= shift_sw(3 downto 1);
			shift_sw(3) <= not sw;
			if shift_sw(3 downto 0) = "000" then
				sw_debounce <= '0';
			else
				sw_debounce <= '1';
			end if;
		end if;
	end process;
end rtl;


