library ieee;
use ieee.std_logic_1164.all;

entity div100 is
port(
		clk_in : in std_logic;
		clk_out : out std_logic
		);
end div100;

architecture rtl of div100 is
begin
	process(clk_in)
	variable count : integer range 0 to 49 := 0;
	variable clk_t : std_logic := '0';
	begin
		if clk_in'event and clk_in = '1' then
			if count < 49 then
				count := count + 1;
				clk_t := clk_t;
			else
				count := 0;
				clk_t := not(clk_t);
			end if;	
			clk_out <= clk_t;
		end if;
	end process;
end rtl;
