library ieee;
use ieee.std_logic_1164.all;
entity div2 is
port(clk_in : in std_logic;
		clk_out : out integer range 0 to 1
		);
end div2;
architecture rtl of div2 is
begin
	process(clk_in)
	variable count : integer range 0 to 1;
	begin
		if clk_in'event and clk_in = '1' then
			if count < 1 then
				count := count + 1;
			else
				count := 0;
			end if;
		end if;
		clk_out <= count;
	end process;
end rtl;

